> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ListReportRuleSummaries

> List paginated rule summaries for a specific report.



## OpenAPI

````yaml /openapi.json get /api/v1/reports/{reportId}/rule-summaries
openapi: 3.0.0
info:
  title: Sift API
  version: '1.0'
servers:
  - url: https://api.siftstack.com
    description: Production
  - url: https://gov.api.siftstack.com
    description: Gov
security:
  - BearerAuth: []
tags:
  - name: TagService
    description: Service to programmatically interact with [tags](/glossary#tag).
  - name: CampaignService
  - name: ProtobufDescriptorService
    description: >-
      Service to programmatically interact with protobuf descriptors used for
      protobuf ingestion.
    externalDocs:
      description: Read more about what protobuf ingestion.
      url: /ingestion/protobuf_ingestion
  - name: AnnotationLogService
    description: >-
      Service to programmatically interact with [annotation
      logs](/glossary#annotation).
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: MetadataService
  - name: DlqErrorsService
  - name: RuleService
    description: Service to programmatically interact with rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: WebhookService
  - name: UserDefinedFunctionService
  - name: ReportTemplateService
  - name: RemoteFileService
  - name: PingService
  - name: FamilyService
    description: Service to programmatically interact with family configurations.
  - name: ExternalSyncService
  - name: ReportService
  - name: NotificationService
    description: Service to programmatically interact with in-app notifications.
  - name: ChannelSchemaService
    description: Service to programmatically interact with channel schemas
  - name: IngestService
  - name: UserService
    description: Service to programmatically interact with user objects.
  - name: TestReportService
    description: Service to manage test reports
  - name: PrincipalAttributeService
    description: Service to manage ABAC principal attributes.
  - name: ChannelService
    description: Service to programmatically interact with [channels](/glossary#channel).
    externalDocs:
      description: Read more about what channels are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265453943
  - name: DataImportService
  - name: ExportService
  - name: PolicyService
    description: Service to manage ABAC policies.
  - name: ApiKeyService
  - name: CommentService
    description: >-
      Service to programmatically interact with comments attached to resources
      in the platform.
  - name: JobService
  - name: UserGroupService
  - name: ResourceAttributeService
    description: Service to manage ABAC resource attributes (entity attributes).
  - name: AutomationService
  - name: ViewService
    description: Service to programmatically interact with views.
    externalDocs:
      description: Read more about what views are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/298188809
  - name: UnitService
  - name: DocsService
  - name: RoleService
  - name: SavedSearchService
  - name: RuleEvaluationService
    description: Service to evaluate rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: RunService
    description: Service to programmatically interact with [runs](/glossary#run).
    externalDocs:
      description: Read more about what runs are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265454053
  - name: PanelConfigurationService
    description: Service to programmatically interact with panel configurations.
  - name: IngestionConfigService
    description: >-
      Service to programmatically interact with [ingestion
      configs](/glossary#ingestion-config).
    externalDocs:
      description: Read more about what ingestion configs are.
      url: /ingestion/creating-amend-ingestion-config
  - name: CalculatedChannelService
  - name: CalculatedChannelsService
    description: Service to programmatically interact with calculated channels.
    externalDocs:
      description: Read more about calculated channels.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421153
  - name: AnnotationService
    description: Service to programmatically interact with annotations.
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: DataService
    description: Service to query data
  - name: MeService
  - name: AssetService
    description: Service to programmatically interact with [assets](/glossary#asset).
    externalDocs:
      description: Read more about what assets are.
      url: /data-model
paths:
  /api/v1/reports/{reportId}/rule-summaries:
    get:
      tags:
        - ReportService
      summary: ListReportRuleSummaries
      description: List paginated rule summaries for a specific report.
      operationId: ReportService_ListReportRuleSummaries
      parameters:
        - name: reportId
          description: The report whose rule summaries to list.
          in: path
          required: true
          schema:
            type: string
        - name: pageSize
          description: >-
            The maximum number of rule summaries to return. The service may
            return fewer than this value.

            If unspecified, at most 50 rule summaries will be returned. The
            maximum value is 1000; values above

            1000 will be coerced to 1000. Optional.
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: pageToken
          description: >-
            A page token, received from a previous `ListReportRuleSummaries`
            call.

            Provide this to retrieve the subsequent page. Optional.
          in: query
          required: false
          schema:
            type: string
        - name: filter
          description: >-
            A [Common Expression Language
            (CEL)](https://github.com/google/cel-spec) filter string.

            Available fields to filter by are `rule_id`, `rule_version_id`,
            `asset_id`, `status`,

            `created_date`, and `modified_date`. Optional.
          in: query
          required: false
          schema:
            type: string
        - name: orderBy
          description: >-
            How to order the retrieved rule summaries. Formatted as a
            comma-separated string i.e. "FIELD_NAME[ desc],...".

            Available fields to order by are `display_order`, `created_date`,
            and `modified_date`.

            If left empty, items are ordered by `display_order` ascending.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListReportRuleSummariesResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1ListReportRuleSummariesResponse:
      type: object
      properties:
        reportRuleSummaries:
          type: array
          items:
            $ref: '#/components/schemas/v1ReportRuleSummary'
        nextPageToken:
          type: string
      description: The response of a call to `ReportService_ListReportRuleSummaries`.
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1ReportRuleSummary:
      type: object
      properties:
        ruleId:
          type: string
        ruleClientKey:
          type: string
        ruleVersionId:
          type: string
        ruleVersionNumber:
          type: integer
          format: int64
        reportRuleVersionId:
          type: string
        numOpen:
          type: integer
          format: int64
        numFailed:
          type: integer
          format: int64
        numPassed:
          type: integer
          format: int64
        status:
          $ref: '#/components/schemas/v1ReportRuleStatus'
        statusDetails:
          $ref: '#/components/schemas/v1ReportRuleStatusDetails'
        createdDate:
          type: string
          format: date-time
        modifiedDate:
          type: string
          format: date-time
        assetId:
          type: string
        deletedDate:
          type: string
          format: date-time
        resolvedFamilyStats:
          type: array
          items:
            $ref: '#/components/schemas/v1ResolvedFamilyStat'
        resolvedAlignmentConfigs:
          type: array
          items:
            $ref: '#/components/schemas/v1ResolvedAlignmentEntry'
        displayOrder:
          type: integer
          format: int64
          description: >-
            Zero-based position of this rule line on the report. Copied from the
            report template rule's `display_order`, or from the

            position of `rule_id` in `CreateReportRequestRuleIds.rule_ids` when
            creating from explicit rule IDs. Lower values run first.
      required:
        - ruleId
        - ruleVersionId
        - ruleVersionNumber
        - reportRuleVersionId
        - numOpen
        - numFailed
        - numPassed
        - status
        - statusDetails
        - createdDate
        - modifiedDate
        - assetId
        - displayOrder
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    v1ReportRuleStatus:
      type: string
      enum:
        - REPORT_RULE_STATUS_UNSPECIFIED
        - REPORT_RULE_STATUS_CREATED
        - REPORT_RULE_STATUS_LIVE
        - REPORT_RULE_STATUS_FINISHED
        - REPORT_RULE_STATUS_FAILED
        - REPORT_RULE_STATUS_CANCELED
        - REPORT_RULE_STATUS_ERROR
      default: REPORT_RULE_STATUS_UNSPECIFIED
    v1ReportRuleStatusDetails:
      type: object
      properties:
        created:
          $ref: '#/components/schemas/v1ReportRuleStatusDetailsCreated'
        live:
          $ref: '#/components/schemas/v1ReportRuleStatusDetailsLive'
        finished:
          $ref: '#/components/schemas/v1ReportRuleStatusDetailsFinished'
        failed:
          $ref: '#/components/schemas/v1ReportRuleStatusDetailsFailed'
        canceled:
          $ref: '#/components/schemas/v1ReportRuleStatusDetailsCanceled'
        error:
          $ref: '#/components/schemas/v1ReportRuleStatusDetailsError'
    v1ResolvedFamilyStat:
      type: object
      properties:
        reference:
          type: string
        familyId:
          type: string
        familyVersionId:
          type: string
        familyStatExpressionId:
          type: string
        familyStatRangeId:
          type: string
      required:
        - reference
        - familyId
        - familyVersionId
        - familyStatExpressionId
        - familyStatRangeId
    v1ResolvedAlignmentEntry:
      type: object
      properties:
        channelReferences:
          type: array
          items:
            type: string
        t0:
          $ref: '#/components/schemas/v1ResolvedAlignmentPoint'
        startTime:
          $ref: '#/components/schemas/v1ResolvedAlignmentPoint'
        endTime:
          $ref: '#/components/schemas/v1ResolvedAlignmentPoint'
    v1ReportRuleStatusDetailsCreated:
      type: object
    v1ReportRuleStatusDetailsLive:
      type: object
    v1ReportRuleStatusDetailsFinished:
      type: object
      properties:
        stdout:
          type: string
        stderr:
          type: string
    v1ReportRuleStatusDetailsFailed:
      type: object
      properties:
        errorMessage:
          type: string
        exitCode:
          type: integer
          format: int32
        stdout:
          type: string
        stderr:
          type: string
      required:
        - errorMessage
    v1ReportRuleStatusDetailsCanceled:
      type: object
    v1ReportRuleStatusDetailsError:
      type: object
      properties:
        errorMessage:
          type: string
        exitCode:
          type: integer
          format: int32
        stdout:
          type: string
        stderr:
          type: string
      required:
        - errorMessage
    v1ResolvedAlignmentPoint:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
        run:
          $ref: '#/components/schemas/v1RunAlignment'
        annotation:
          $ref: '#/components/schemas/v1AnnotationAlignment'
        timestampConfig:
          $ref: '#/components/schemas/v1TimestampAlignment'
    v1RunAlignment:
      type: object
      properties:
        bound:
          $ref: '#/components/schemas/v1TimeRangeBound'
      required:
        - bound
    v1AnnotationAlignment:
      type: object
      properties:
        annotationId:
          type: string
        bound:
          $ref: '#/components/schemas/v1TimeRangeBound'
      required:
        - annotationId
        - bound
    v1TimestampAlignment:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
      required:
        - timestamp
    v1TimeRangeBound:
      type: string
      enum:
        - TIME_RANGE_BOUND_UNSPECIFIED
        - TIME_RANGE_BOUND_START
        - TIME_RANGE_BOUND_END
      default: TIME_RANGE_BOUND_UNSPECIFIED
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````